Update Feature Flag
Updates a specific feature flag to either enable or disable it.
Updates a specific feature flag to either enable or disable it.
Request
URI
PUT
https://{api_host}/cloudapi/1.0.0/featureFlags/{urn}
COPY
Path Parameters
string
urn
Required
URN containing the name of the feature flag such as (urn:vcloud:featureflag:
Request Body
FeatureFlag
of type(s)
application/json
Required
{
"id": "string",
"name": "string",
"usage": "string",
"enabled": false,
"displayName": "string",
"displayDescription": "string"
}
string
id
Optional
The id of the feature flag in URN format.
string
name
Optional
The unique name of the flag.
string
usage
Optional
In what context this flag should be use.
-
ALPHAIndicates that this feature is considered to be an alpha feature and may change in future releases.
boolean
enabled
Optional
True if the feature is toggled on.
string
displayName
Optional
Localized readable name of this feature.
string
displayDescription
Optional
Localized readable description of this feature.
Responses
200
OK
Returns
FeatureFlag
of type(s)
application/json;version=9.1.0
{
"id": "string",
"name": "string",
"usage": "string",
"enabled": false,
"displayName": "string",
"displayDescription": "string"
}
400
Invalid configuration.
Returns
Error
of type(s)
application/json;version=9.1.0
{
"minorErrorCode": "string",
"message": "string",
"stackTrace": "string"
}
404
The specified resource was not found
Returns
Error
of type(s)
application/json;version=9.1.0
{
"minorErrorCode": "string",
"message": "string",
"stackTrace": "string"
}
Code Samples
COPY
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/cloudapi/1.0.0/featureFlags/{urn}
Availability
Added in 36.1
On This Page
Feature Flag Operations
GET
Get Feature Flag
PUT
Update Feature Flag